package
{
	import flash.display.Bitmap;
	import flash.geom.Point;
	import flash.ui.Mouse;
	
	import org.flixel.*;
	import org.flixel.FlxSprite;
	import org.flixel.FlxState;
	import org.flixel.FlxU;
	
	public class TitleState extends FlxState
	{		
		public var t:Number;
		override public function create() : void
		{			
			bgColor=0xffffffff;
			FlxG.score=0;
			//FlxG.playMusic(SndMusic,0.3);
			var s:FlxSprite = new FlxSprite(0,0,null);
			s.createGraphic(FlxG.width,FlxG.height,0xffffffff);
			this.add(s);
			t=0;
			
			text = new FlxText(0,80,FlxG.width,"TYPESPHERE");
			text.alignment="center";
			text.color=0xff000000;
			text.size=64;
			this.add(text);		
			
			text = new FlxText(0,250,FlxG.width,"press space to start");
			text.size=16;
			text.alignment="center";
			text.color=0xff000000;
			this.add(text);			
				
			
			super.create();		
		}

		public var rate:Number=2;
		public var text:FlxText;
		public var starting:Boolean=false;
		override public function update() : void
		{
			if (!starting)
			{
				t+=FlxG.elapsed;
			
				if (t>rate)
				{
					t=0;
				}	
				text.visible=t<rate/2;
				
				
				if (!starting)
				{
					if (FlxG.keys.justPressed("SPACE"))
					{
						FlxG.play(GameState.SndBlip);
						text.visible=true;
						text.flicker(1);
						starting=true;
						t=0;
					}
				}
			}
			else
			{
				t+=FlxG.elapsed;
				if (t>1)
				{
					FlxG.state = new GameState();
				}
			}
			super.update();
		}
	}
}